/*
** Copyright (c) 1996, 2002
**      Jeff Forys (jeff@forys.cranbury.nj.us).  All rights reserved.
**
** Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that: (1) Redistributions of
** source code must retain the above copyright notice, this list of
** conditions and the following disclaimer, (2) Redistributions in
** binary form must reproduce the above copyright notice, this list
** of conditions and the following disclaimer in the documentation
** and/or other materials provided with the distribution, (3) All
** advertising materials mentioning features or use of this software
** must display the following acknowledgment: ``This product includes
** software developed by Jeff Forys (jeff@forys.cranbury.nj.us).'', (4)
** The name of the author may not be used to endorse or promote products
** derived from this software without specific prior written permission.
**
** THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
** WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
** MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
*/

/*
 * $Id: Netintf.h,v 1.10 2004/01/24 04:36:57 forys Exp $
 */

#ifndef	_XawNetintf_h
#define	_XawNetintf_h

/*
 * For XtResource names and classes...
 */
#define	XtNifname	"ifname"
#define	XtNconfdir	"confdir"
#define	XtNmaxival	"maxival"
#define	XtNvolume	"volume"
#define	XtNnoif		"noif"
#define	XtNdbglvl	"dbglvl"
#define	XtNdownPixmap	"downPixmap"
#define	XtNtranPixmap	"tranPixmap"
#define	XtNinitPixmap	"initPixmap"
#define	XtNrunPixmap	"runPixmap"
#define	XtNupPixmap	"upPixmap"
#define	XtNerrPixmap	"errPixmap"

#define	XtCIfname	"Ifname"
#define	XtCConfdir	"Confdir"
#define	XtCMaxival	"Maxival"
#define	XtCVolume	"Volume"
#define	XtCNoif		"Noif"
#define	XtCDbglvl	"Dbglvl"

typedef	struct	_NetintfRec		*NetintfWidget;
typedef	struct	_NetintfClassRec	*NetintfWidgetClass;

extern	WidgetClass	netintfWidgetClass;

#if defined(__STDC__) || defined(__cplusplus)
#define	_P_(protos)	protos
#else
#define	_P_(protos)	()
#define	const
#endif

/*
 * Global prototypes.
 */
void	CmdLine _P_((int, char *[]));
void	NetintfExit _P_((Widget));

#endif	/* _XawNetintf_h */
